from datetime import datetime, timedelta
from dbsynce.lib.core import get_admin_url
from dbsynce.models import ServiceCategory
from tickets.models import Ticket, TicketList
from dbsynce.lib.ticket_gen import *

def create_service_category(service_category, user):
    """
    Создание записи категории Сервиса.
    Создается запись в БД, Тикет на проверку и уведомление в джаббер
    
    """
    return ServiceCategory.objects.create(
        codename=service_category.codename,
        #TODO заменить дефолт после появления соответствующего функционала
        requirements="DSMPUB",
        status="0",
        caption=service_category.caption,
        description=service_category.description,
        link_agreement=service_category.link_agreement,
        price_type=service_category.price_type,
        metaservice_comission=service_category.metaservice_comission,
        #TODO заменить дефолт после появления соответствующего функционала
        is_global="f",
        is_visible="f",
        ticket_status=create_ticket_service_category_activation(user, service_category)
    )
